Open CASCADE Technology: StlMesh_SequenceOfMesh Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StlMesh_SequenceOfMesh Class Reference

`#include <StlMesh_SequenceOfMesh.hxx>`

Inheritance diagram for StlMesh_SequenceOfMesh:
[legend]

## Public Member Functions
| StlMesh_SequenceOfMesh ()
| StlMesh_SequenceOfMesh (const StlMesh_SequenceOfMesh &Other)
void | Clear ()
| ~StlMesh_SequenceOfMesh ()
const StlMesh_SequenceOfMesh & | Assign (const StlMesh_SequenceOfMesh &Other)
const StlMesh_SequenceOfMesh & | operator= (const StlMesh_SequenceOfMesh &Other)
void | Append (const Handle< StlMesh_Mesh > &T)
void | Append (StlMesh_SequenceOfMesh &S)
void | Prepend (const Handle< StlMesh_Mesh > &T)
void | Prepend (StlMesh_SequenceOfMesh &S)
void | InsertBefore (const Standard_Integer Index, const Handle< StlMesh_Mesh > &T)
void | InsertBefore (const Standard_Integer Index, StlMesh_SequenceOfMesh &S)
void | InsertAfter (const Standard_Integer Index, const Handle< StlMesh_Mesh > &T)
void | InsertAfter (const Standard_Integer Index, StlMesh_SequenceOfMesh &S)
const Handle< StlMesh_Mesh > & | First () const
const Handle< StlMesh_Mesh > & | Last () const
void | Split (const Standard_Integer Index, StlMesh_SequenceOfMesh &Sub)
const Handle< StlMesh_Mesh > & | Value (const Standard_Integer Index) const
const Handle< StlMesh_Mesh > & | operator() (const Standard_Integer Index) const
void | SetValue (const Standard_Integer Index, const Handle< StlMesh_Mesh > &I)
Handle< StlMesh_Mesh > & | ChangeValue (const Standard_Integer Index)
Handle< StlMesh_Mesh > & | operator() (const Standard_Integer Index)
void | Remove (const Standard_Integer Index)
void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Public Member Functions inherited from TCollection_BaseSequence
Standard_Boolean | IsEmpty () const
| returns True if the sequence <me> contains no elements. More...
Standard_Integer | Length () const
| Returns the number of element(s) in the sequence. Returns zero if the sequence is empty. More...
void | Reverse ()
| Reverses the order of items on <me>. Example: before me = (A B C) after me = (C B A) More...
void | Exchange (const Standard_Integer I, const Standard_Integer J)
| Swaps elements which are located at positions and <J> in <me>. Raises an exception if I or J is out of bound. Example: before me = (A B C), I = 1, J = 3 after me = (C B A) More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BaseSequence
| TCollection_BaseSequence ()
| Creation of an empty sequence. More...
void | Clear (const Standard_Address DelNode)
void | PAppend (const Standard_Address Node)
void | PAppend (TCollection_BaseSequence &S)
| Concatenates <S> at the end of <me>. <S> is cleared. Example: before me = (A B C) S = (D E F) after me = (A B C D E F) S = () More...
void | PPrepend (const Standard_Address Node)
void | PPrepend (TCollection_BaseSequence &S)
| Concatenates <S> at the beginning of <me>. <S> is cleared. Example: before me = (A B C) S = (D E F) after me = (D E F A B C) S = () More...
void | PInsertAfter (const Standard_Integer Index, const Standard_Address Node)
void | PInsertAfter (const Standard_Integer Index, TCollection_BaseSequence &S)
| Inserts the sequence <S> in <me> after the position <Index>. <S> is cleared. Raises an exception if the index is out of bound. Example: before me = (A B C), Index = 3, S = (D E F) after me = (A B C D E F) S = () More...
void | PSplit (const Standard_Integer Index, TCollection_BaseSequence &Sub)
| Keeps in <me> the items 1 to <Index>-1 and puts in the items <Index> to the end. Example: before me = (A B C D) ,Index = 3 after me = (A B) Sub = (C D) More...
void | Remove (const Standard_Integer Index, const Standard_Address DelNode)
void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex, const Standard_Address DelNode)
Standard_Address | Find (const Standard_Integer Index) const
| Returns the node at position <index>. More...
Protected Attributes inherited from TCollection_BaseSequence
Standard_Address | FirstItem
Standard_Address | LastItem
Standard_Address | CurrentItem
Standard_Integer | CurrentIndex
Standard_Integer | Size

## Constructor & Destructor Documentation

StlMesh_SequenceOfMesh::StlMesh_SequenceOfMesh | ( |  | ) |

StlMesh_SequenceOfMesh::StlMesh_SequenceOfMesh | ( | const StlMesh_SequenceOfMesh & | Other | ) |

StlMesh_SequenceOfMesh::~StlMesh_SequenceOfMesh | ( |  | ) |
| inline

## Member Function Documentation

void StlMesh_SequenceOfMesh::Append | ( | const Handle< StlMesh_Mesh > & | T | ) |

void StlMesh_SequenceOfMesh::Append | ( | StlMesh_SequenceOfMesh & | S | ) |

const StlMesh_SequenceOfMesh& StlMesh_SequenceOfMesh::Assign | ( | const StlMesh_SequenceOfMesh & | Other | ) |

Handle< StlMesh_Mesh >& StlMesh_SequenceOfMesh::ChangeValue | ( | const Standard_Integer | Index | ) |

void StlMesh_SequenceOfMesh::Clear | ( |  | ) |

const Handle< StlMesh_Mesh >& StlMesh_SequenceOfMesh::First | ( |  | ) | const

void StlMesh_SequenceOfMesh::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle< StlMesh_Mesh > & | T
| ) |  |

void StlMesh_SequenceOfMesh::InsertAfter | ( | const Standard_Integer | Index,
|  | StlMesh_SequenceOfMesh & | S
| ) |  |

void StlMesh_SequenceOfMesh::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle< StlMesh_Mesh > & | T
| ) |  |

void StlMesh_SequenceOfMesh::InsertBefore | ( | const Standard_Integer | Index,
|  | StlMesh_SequenceOfMesh & | S
| ) |  |

const Handle< StlMesh_Mesh >& StlMesh_SequenceOfMesh::Last | ( |  | ) | const

const Handle< StlMesh_Mesh >& StlMesh_SequenceOfMesh::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< StlMesh_Mesh >& StlMesh_SequenceOfMesh::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StlMesh_SequenceOfMesh& StlMesh_SequenceOfMesh::operator= | ( | const StlMesh_SequenceOfMesh & | Other | ) |
| inline

void StlMesh_SequenceOfMesh::Prepend | ( | const Handle< StlMesh_Mesh > & | T | ) |

void StlMesh_SequenceOfMesh::Prepend | ( | StlMesh_SequenceOfMesh & | S | ) |

void StlMesh_SequenceOfMesh::Remove | ( | const Standard_Integer | Index | ) |

void StlMesh_SequenceOfMesh::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |  |

void StlMesh_SequenceOfMesh::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StlMesh_Mesh > & | I
| ) |  |

void StlMesh_SequenceOfMesh::Split | ( | const Standard_Integer | Index,
|  | StlMesh_SequenceOfMesh & | Sub
| ) |  |

const Handle< StlMesh_Mesh >& StlMesh_SequenceOfMesh::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StlMesh_SequenceOfMesh.hxx